<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: Lattice.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
<h1>Lattice.h</h1><a href="Lattice_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    This file is part of PolyLib.</span>
<a name="l00003"></a>00003 <span class="comment"></span>
<a name="l00004"></a>00004 <span class="comment">    PolyLib is free software: you can redistribute it and/or modify</span>
<a name="l00005"></a>00005 <span class="comment">    it under the terms of the GNU General Public License as published by</span>
<a name="l00006"></a>00006 <span class="comment">    the Free Software Foundation, either version 3 of the License, or</span>
<a name="l00007"></a>00007 <span class="comment">    (at your option) any later version.</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">    PolyLib is distributed in the hope that it will be useful,</span>
<a name="l00010"></a>00010 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00011"></a>00011 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span>
<a name="l00012"></a>00012 <span class="comment">    GNU General Public License for more details.</span>
<a name="l00013"></a>00013 <span class="comment"></span>
<a name="l00014"></a>00014 <span class="comment">    You should have received a copy of the GNU General Public License</span>
<a name="l00015"></a>00015 <span class="comment">    along with PolyLib.  If not, see &lt;http://www.gnu.org/licenses/&gt;.</span>
<a name="l00016"></a>00016 <span class="comment">*/</span>
<a name="l00017"></a>00017 
<a name="l00018"></a>00018 <span class="preprocessor">#ifndef _Lattice_h_</span>
<a name="l00019"></a>00019 <span class="preprocessor"></span><span class="preprocessor">#define _Lattice_h_</span>
<a name="l00020"></a>00020 <span class="preprocessor"></span>
<a name="l00021"></a>00021 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {
<a name="l00023"></a>00023 <span class="preprocessor">#endif</span>
<a name="l00024"></a>00024 <span class="preprocessor"></span>
<a name="l00025"></a>00025 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="Lattice_8c.html#a4d75ea3bed92d944fc4be0ec7e08bd15">AffineHermite</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A, <a class="code" href="structmatrix.html">Lattice</a> **H, <a class="code" href="structmatrix.html">Matrix</a> **U );
<a name="l00026"></a>00026 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="Lattice_8c.html#aceafe2570bfa2354e04412151d903094">AffineSmith</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A, <a class="code" href="structmatrix.html">Lattice</a> **U, <a class="code" href="structmatrix.html">Lattice</a> **V, <a class="code" href="structmatrix.html">Lattice</a>
<a name="l00027"></a>00027                           **Diag );
<a name="l00028"></a>00028 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Lattice</a> *<a class="code" href="Lattice_8c.html#a2e1e0a75d5fb3ddf7cac35b0c6ffc75b">ChangeLatticeDimension</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A, <span class="keywordtype">int</span> dimension );
<a name="l00029"></a>00029 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Lattice</a> *<a class="code" href="Lattice_8c.html#aab7550d1f894cc88fe630ce56f502184">EmptyLattice</a> ( <span class="keywordtype">int</span> dimension );
<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Lattice</a> *<a class="code" href="Lattice_8c.html#a009f469f3f4110d9035d36fa040dd176">ExtractLinearPart</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A );
<a name="l00031"></a>00031 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="Lattice_8c.html#aee5cf58a5c79a49ada7909b84440499a">FindHermiteBasisofDomain</a> ( <a class="code" href="structpolyhedron.html">Polyhedron</a> *A, <a class="code" href="structmatrix.html">Matrix</a> **B );
<a name="l00032"></a>00032 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Lattice</a> *<a class="code" href="Lattice_8c.html#a00c3710631cd7f82d65329751095e78b">Homogenise</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A, <a class="code" href="types_8h.html#a39db6982619d623273fad8a383489309">Bool</a> Forward );
<a name="l00033"></a>00033 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="Lattice_8c.html#ab4a31767671350bb32e2ffb875348ac6">intcompare</a> ( <span class="keyword">const</span> <span class="keywordtype">void</span> *a, <span class="keyword">const</span> <span class="keywordtype">void</span> *b );
<a name="l00034"></a>00034 <span class="keyword">extern</span> <a class="code" href="types_8h.html#a39db6982619d623273fad8a383489309">Bool</a> <a class="code" href="Lattice_8c.html#a7a9a551062ace0251e9bb0ea6b74c860">isEmptyLattice</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A );
<a name="l00035"></a>00035 <span class="keyword">extern</span> <a class="code" href="types_8h.html#a39db6982619d623273fad8a383489309">Bool</a> <a class="code" href="Lattice_8c.html#aa55a58802da206d773cbaf5d6ffb90a5">isfulldim</a> ( <a class="code" href="structmatrix.html">Matrix</a> *<a class="code" href="polyparam_8c.html#a742204794ea328ba293fe59cec79b990">m</a> );
<a name="l00036"></a>00036 <span class="keyword">extern</span> <a class="code" href="types_8h.html#a39db6982619d623273fad8a383489309">Bool</a> <a class="code" href="Lattice_8c.html#a2b6cf7c3438a407cd28d6ea0c9219d1b">IsLattice</a> ( <a class="code" href="structmatrix.html">Matrix</a> *<a class="code" href="polyparam_8c.html#a742204794ea328ba293fe59cec79b990">m</a> );
<a name="l00037"></a>00037 <span class="keyword">extern</span> <a class="code" href="types_8h.html#a39db6982619d623273fad8a383489309">Bool</a> <a class="code" href="Lattice_8c.html#a59f5ebfe98faf74f9b9628d0f484fece">isLinear</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A );
<a name="l00038"></a>00038 <span class="keyword">extern</span> <a class="code" href="structLatticeUnion.html">LatticeUnion</a> *<a class="code" href="Lattice_8c.html#a31fa008ccc3304ba29e3167b17c61b70" title="Method :.">LatticeDifference</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A, <a class="code" href="structmatrix.html">Lattice</a> *B );
<a name="l00039"></a>00039 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Lattice</a> *<a class="code" href="Lattice_8c.html#ac67608cf4d08c51aa76da79051507fd4">LatticeImage</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A, <a class="code" href="structmatrix.html">Matrix</a> *M );
<a name="l00040"></a>00040 <span class="keyword">extern</span> <a class="code" href="types_8h.html#a39db6982619d623273fad8a383489309">Bool</a> <a class="code" href="Lattice_8c.html#abe494c899b1c641aedcb95fec4719070">LatticeIncludes</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A, <a class="code" href="structmatrix.html">Lattice</a> *B );
<a name="l00041"></a>00041 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Lattice</a> *<a class="code" href="Lattice_8c.html#adb689baac30514102da4520b751c199d">LatticeIntersection</a> ( <a class="code" href="structmatrix.html">Lattice</a> *X, <a class="code" href="structmatrix.html">Lattice</a> *Y );
<a name="l00042"></a>00042 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Lattice</a> *<a class="code" href="Lattice_8c.html#a0c4b5df1248325964344c44d1b3b93ed">LatticePreimage</a> ( <a class="code" href="structmatrix.html">Lattice</a> *L, <a class="code" href="structmatrix.html">Matrix</a> *G );
<a name="l00043"></a>00043 <span class="keyword">extern</span> <a class="code" href="structLatticeUnion.html">LatticeUnion</a> *<a class="code" href="Lattice_8c.html#abcae5a642b26c67f65db8de16cca6064">LatticeSimplify</a> ( <a class="code" href="structLatticeUnion.html">LatticeUnion</a> *latlist );
<a name="l00044"></a>00044 <span class="keyword">extern</span> <a class="code" href="structLatticeUnion.html">LatticeUnion</a> *<a class="code" href="Lattice_8c.html#a3ec0f98cd150dbf78ef0a604c0eb74ff">LatticeUnion_Alloc</a> ( <span class="keywordtype">void</span> );
<a name="l00045"></a>00045 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="Lattice_8c.html#ad405c032776bc0e029b1d431b3cab314">LatticeUnion_Free</a> ( <a class="code" href="structLatticeUnion.html">LatticeUnion</a> *Head );
<a name="l00046"></a>00046 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="Lattice_8c.html#ae9589a3920f117a40663271977a9a84a">PrintLatticeUnion</a> ( FILE *fp, <span class="keywordtype">char</span> *format, <a class="code" href="structLatticeUnion.html">LatticeUnion</a>
<a name="l00047"></a>00047                                 *Head );
<a name="l00048"></a>00048 <span class="keyword">extern</span> <a class="code" href="types_8h.html#a39db6982619d623273fad8a383489309">Bool</a> <a class="code" href="Lattice_8c.html#a6a82f4f5730f8c7b5b912e3a7b55dbb4">sameAffinepart</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A, <a class="code" href="structmatrix.html">Lattice</a> *B );
<a name="l00049"></a>00049 <span class="keyword">extern</span> <a class="code" href="types_8h.html#a39db6982619d623273fad8a383489309">Bool</a> <a class="code" href="Lattice_8c.html#aec768b41c299f9545319f655a3d2fd1a">sameLattice</a> ( <a class="code" href="structmatrix.html">Lattice</a> *A, <a class="code" href="structmatrix.html">Lattice</a> *B );
<a name="l00050"></a>00050 <span class="keyword">extern</span> <a class="code" href="structLatticeUnion.html">LatticeUnion</a> *<a class="code" href="Lattice_8c.html#a020989e31cbf7e9cf32b85c4078fcb65">Lattice2LatticeUnion</a>(<a class="code" href="structmatrix.html">Lattice</a> *X,<a class="code" href="structmatrix.html">Lattice</a> *Y);
<a name="l00051"></a>00051 
<a name="l00052"></a>00052 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00053"></a>00053 <span class="preprocessor"></span>}
<a name="l00054"></a>00054 <span class="preprocessor">#endif</span>
<a name="l00055"></a>00055 <span class="preprocessor"></span>
<a name="l00056"></a>00056 <span class="preprocessor">#endif </span><span class="comment">/* _Lattice_h_ */</span>
</pre></div></div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:25 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
